"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importStar(require("express"));
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const home_1 = require("./routers/home");
const cors_1 = __importDefault(require("cors"));
const change_password_1 = require("./routers/change-password");
const user_1 = require("./routers/user");
const cookie_parser_1 = __importDefault(require("cookie-parser"));
const auth_1 = require("./routers/auth");
const error_1 = require("./utils/error");
const config_1 = require("./config/config");
const app = (0, express_1.default)();
const limiter = (0, express_rate_limit_1.default)({
    windowMs: 15 * 60 * 1000,
    max: 100,
    standardHeaders: true,
    legacyHeaders: false,
});
app.use((0, cors_1.default)({
    origin: config_1.config.corsOrigin,
    credentials: true,
}));
app.use(limiter);
app.use((0, cookie_parser_1.default)());
app.use(express_1.default.json());
const router = (0, express_1.Router)();
router.use('/', home_1.homeRouter);
router.use('/auth', auth_1.authRouter);
router.use('/change-password', change_password_1.changePasswordRouter);
router.use('/user', user_1.userRouter);
app.use('/api', router);
app.use(error_1.errorHandle);
app.listen(3002, '0.0.0.0', () => {
    console.log('Server is running at http://localhost:3002.');
});
//# sourceMappingURL=index.js.map