"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.changePasswordRouter = void 0;
const express_1 = __importDefault(require("express"));
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const JWT_SECRET_1 = require("../utils/JWT_SECRET");
const user_record_1 = require("../records/user.record");
const bcrypt_1 = __importDefault(require("bcrypt"));
const error_1 = require("../utils/error");
exports.changePasswordRouter = express_1.default.Router();
exports.changePasswordRouter
    .put('/', (req, res, next) => __awaiter(void 0, void 0, void 0, function* () {
    const { token, password, repeatedPassword } = req.body;
    try {
        if (token === null || token === undefined) {
            return next((0, error_1.createError)(403, 'None is logged in.'));
        }
        const user = jsonwebtoken_1.default.verify(token, JWT_SECRET_1.JWT_SECRET);
        if (password !== repeatedPassword) {
            return next((0, error_1.createError)(403, 'Not the same passwords.'));
        }
        const hashedPassword = yield bcrypt_1.default.hash(password, 10);
        yield new user_record_1.UserRecord({
            id: user.id,
            username: user.username,
            password: hashedPassword
        }).update();
        res.json({ status: 'ok' });
    }
    catch (e) {
        next(e);
    }
}));
//# sourceMappingURL=change-password.js.map