"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorHandle = exports.createError = void 0;
const createError = (status, message) => {
    const err = new Error();
    err.status = status;
    err.message = message;
    return err;
};
exports.createError = createError;
const errorHandle = (err, req, res, next) => {
    const errorStatus = err.status || 500;
    const errorMessage = err.message || "Something went wrong";
    return res.status(errorStatus).json({
        success: false,
        status: errorStatus,
        message: errorMessage,
    });
};
exports.errorHandle = errorHandle;
//# sourceMappingURL=error.js.map