"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyTokenAndUserWithBody = exports.verifyTokenAndUserWithParams = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const error_1 = require("./error");
const JWT_SECRET_1 = require("./JWT_SECRET");
const verifyTokenAndUserWithParams = (req, res, next) => {
    const token = req.cookies.access_token;
    if (!token) {
        return next((0, error_1.createError)(401, "You are not authenticated!"));
    }
    jsonwebtoken_1.default.verify(token, JWT_SECRET_1.JWT_SECRET, (err, user) => {
        if (err) {
            return next((0, error_1.createError)(403, "Token is not valid!"));
        }
        req.user = user;
        if (req.user.id === req.params.id) {
            next();
        }
        else {
            return next((0, error_1.createError)(403, "You are not authorized"));
        }
    });
};
exports.verifyTokenAndUserWithParams = verifyTokenAndUserWithParams;
const verifyTokenAndUserWithBody = (req, res, next) => {
    const token = req.cookies.access_token;
    if (!token) {
        return next((0, error_1.createError)(401, "You are not authenticated!"));
    }
    jsonwebtoken_1.default.verify(token, JWT_SECRET_1.JWT_SECRET, (err, user) => {
        if (err) {
            return next((0, error_1.createError)(403, "Token is not valid!"));
        }
        req.user = user;
        if (req.user.id === req.body.userId) {
            next();
        }
        else {
            return next((0, error_1.createError)(403, "You are not authorized"));
        }
    });
};
exports.verifyTokenAndUserWithBody = verifyTokenAndUserWithBody;
// export const verifyUserWithParams = (req: RequestType, res: Response, next: NextFunction) => {
//     verifyToken(req, res, next,  () => {
//         console.log(req.user)
//         console.log(req.params)
//
//     })
// }
// export const verifyUserWithBody = (req: RequestType, res: Response, next: NextFunction) => {
//     verifyToken(req, res, next, () => {
//         if(req.user._id === req.body.data.userId){
//             next()
//         } else {
//             return next(createError(403, "You are not authorized"));
//         }
//     })
// }
//# sourceMappingURL=verifyToken.js.map